<?php
@session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');
$id_akk=intval($_GET['id_akk']);
$err = "";
$msg = "";
$logo = '../logo_magazin/'.$id_akk.'.jpg';

if($_SESSION['ID_P'][1] || $_SESSION['ID_Glob'])
	{
	if(!file_exists($logo))
		{
		if ($_FILES['foto']['tmp_name'])
  			{
			$ext = type_img($_FILES['foto']['type']);
  			if ($ext != ".jpg" && $ext != ".png" && $ext != ".gif") 
  			$err = "Недопустимый фрмат файла. Допускаются только файлы JPEG, PNG, GIF";
			$siz = $_FILES['foto']['size'];
			$size = number_format(($siz/1024),1,".","");
			if ($siz > 1*1024*1024) $err = "Максимальный размер фото 1 Мб";
	
			if(!$err)
			smalling ($_FILES['foto']['tmp_name'], $logo, 120, 1, $ext); 
			} 
		} 
	} 
	
	
	echo "{";
	echo				"error: '" . $err . "',\n";
	echo				"msg: '" . $msg . "'\n";
	echo "}";
?>